#
# spec file for package zenity (Version 2.12.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils docbook-xsl-stylesheets docbook_4 e2fsprogs expat fam file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-doc-utils gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv kdelibs3 kdelibs3-doc klogd less libacl libart_lgpl libart_lgpl-devel libattr libcom_err libdrm libgcc libgcrypt libglade2 libglade2-devel libgnomecanvas libgnomecanvas-devel libgpg-error libidn libjpeg libnscd libpng libpng-devel libstdc++ libtiff libtool libxcrypt libxml2 libxml2-devel libxml2-python libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl orbit2 pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt procinfo procps psmisc pwdutils python qt3 rcs readline rpm scrollkeeper sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           zenity
BuildRequires:  docbook-xsl-stylesheets gnome-doc-utils kdelibs3-doc libglade2-devel libgnomecanvas-devel perl-XML-Parser scrollkeeper
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.12.1
Release:        21.2
Summary:        GNOME Command Line Dialog Utility
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/zenity/2.6/%{name}-%{version}.tar.bz2
Patch:          zenity-transparent-trayicon.patch
URL:            http://www.gnome.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Zenity is a basic rewrite of gdialog, without the pain involved of
trying to figure out commandline parsing.  Zenity is zen-like; simple
and easy to use.

Zenity Dialogs: Calendar, Text Entry, Error, Informational, File
Selection, List, Progress, Question, Text Information, and Warning.

Zenity is especially useful in scripts.



Authors:
--------
    Glynn Foster <glynn.foster@sun.com>

%debug_package
%prep
%setup
%patch

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && \
	mv configure.tmp configure && chmod u+x configure
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --mandir=%prefix/share/man \
    --localstatedir=/var/%_lib
make 

%install
rm -rf $RPM_BUILD_ROOT
export LD_LIBRARY=$RPM_BUILD_ROOT/opt/gnome/%_lib
make install DESTDIR=$RPM_BUILD_ROOT
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
%find_lang %{name}-0.1
for xml in $RPM_BUILD_ROOT%{prefix}/share/gnome/help/*/*/*.xml; do
    if echo $xml | egrep 'share/gnome/help/([^/]*)/[^/]*/\1\.xml$' > /dev/null; then
	meinproc --cache `echo $xml | sed 's/xml$/cache.bz2/'` $xml || :
    fi
done
rm -rf $RPM_BUILD_ROOT/var/%_lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch var/adm/SuSEconfig/run-scrollkeeper-update

%postun
touch var/adm/SuSEconfig/run-scrollkeeper-update

%files -f %files -f %{name}-0.1.lang
%doc AUTHORS COPYING ChangeLog NEWS README THANKS TODO
%defattr (-, root, root)
%{prefix}/bin/*
%doc %{prefix}/share/man/man?/*.*
%{prefix}/share/omf/*
%{prefix}/share/zenity
%{prefix}/share/gnome/help/*

%changelog -n zenity
* Fri Mar 10 2006 - danw@suse.de
- Make the "zenity --notification" tray icon transparent. 155345
* Tue Feb 28 2006 - sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Mon Feb 27 2006 - aj@suse.de
- Readd kdelibs3-devel for meinproc.
* Sat Feb 25 2006 - aj@suse.de
- Reduce BuildRequires.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct 13 2005 - gekker@suse.de
- Update to version 2.12.1
* Tue Sep 06 2005 - aj@suse.de
- Update to 2.12.0 (GNOME 2.12).
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.92
* Fri Aug 12 2005 - gekker@suse.de
- Update to version 2.11.91
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.90
* Sat Jul 23 2005 - gekker@suse.de
- Update to 2.11.0
* Thu Mar 10 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar 03 2005 - gekker@suse.de
- update to version 2.9.92
* Fri Feb 11 2005 - gekker@suse.de
- Update to versions 2.9.91
- Remove upstreamed patch
* Sat Jan 22 2005 - ro@suse.de
- fix build on lib64
* Thu Jan 20 2005 - clahey@suse.de
- Updated to version 2.9.2.
* Tue Oct 26 2004 - mmj@suse.de
- locale rename no to nb
* Fri Aug 27 2004 - clahey@suse.de
- Cache zenity help and show zenity in khelpcenter.
* Mon May 10 2004 - sbrabec@suse.cz
- Updated to version 2.6.2 (GNOME 2.6).
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Thu Feb 19 2004 - sbrabec@suse.cz
- Updated to version 1.8.
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 1.7 [GNOME2.4.2]
* Thu Oct 09 2003 - sbrabec@suse.cz
- Added new SuSE package, version 1.6 (GNOME 2.4).
